1
0

Makefile.in 13 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487
  1. # Makefile.in generated by automake 1.10.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  4. # 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #
  14. # ngIRCd -- The Next Generation IRC Daemon
  15. # Copyright (c)2001-2008 Alexander Barton (alex@barton.de)
  16. #
  17. # Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  18. # der GNU General Public License (GPL), wie von der Free Software Foundation
  19. # herausgegeben, weitergeben und/oder modifizieren, entweder unter Version 2
  20. # der Lizenz oder (wenn Sie es wuenschen) jeder spaeteren Version.
  21. # Naehere Informationen entnehmen Sie bitter der Datei COPYING. Eine Liste
  22. # der an ngIRCd beteiligten Autoren finden Sie in der Datei AUTHORS.
  23. #
  24. VPATH = @srcdir@
  25. pkgdatadir = $(datadir)/@PACKAGE@
  26. pkglibdir = $(libdir)/@PACKAGE@
  27. pkgincludedir = $(includedir)/@PACKAGE@
  28. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  29. install_sh_DATA = $(install_sh) -c -m 644
  30. install_sh_PROGRAM = $(install_sh) -c
  31. install_sh_SCRIPT = $(install_sh) -c
  32. INSTALL_HEADER = $(INSTALL_DATA)
  33. transform = $(program_transform_name)
  34. NORMAL_INSTALL = :
  35. PRE_INSTALL = :
  36. POST_INSTALL = :
  37. NORMAL_UNINSTALL = :
  38. PRE_UNINSTALL = :
  39. POST_UNINSTALL = :
  40. build_triplet = @build@
  41. host_triplet = @host@
  42. target_triplet = @target@
  43. subdir = src/testsuite
  44. DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
  45. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  46. am__aclocal_m4_deps = $(top_srcdir)/configure.in
  47. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  48. $(ACLOCAL_M4)
  49. mkinstalldirs = $(install_sh) -d
  50. CONFIG_HEADER = $(top_builddir)/src/config.h
  51. CONFIG_CLEAN_FILES =
  52. SOURCES =
  53. DIST_SOURCES =
  54. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  55. ACLOCAL = @ACLOCAL@
  56. AMTAR = @AMTAR@
  57. AUTOCONF = @AUTOCONF@
  58. AUTOHEADER = @AUTOHEADER@
  59. AUTOMAKE = @AUTOMAKE@
  60. AWK = @AWK@
  61. CC = @CC@
  62. CCDEPMODE = @CCDEPMODE@
  63. CFLAGS = @CFLAGS@
  64. CPP = @CPP@
  65. CPPFLAGS = @CPPFLAGS@
  66. CYGPATH_W = @CYGPATH_W@
  67. DEFS = @DEFS@
  68. DEPDIR = @DEPDIR@
  69. ECHO_C = @ECHO_C@
  70. ECHO_N = @ECHO_N@
  71. ECHO_T = @ECHO_T@
  72. EGREP = @EGREP@
  73. EXEEXT = @EXEEXT@
  74. GREP = @GREP@
  75. INSTALL = @INSTALL@
  76. INSTALL_DATA = @INSTALL_DATA@
  77. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  78. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  79. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  80. LDFLAGS = @LDFLAGS@
  81. LIBOBJS = @LIBOBJS@
  82. LIBS = @LIBS@
  83. LN_S = @LN_S@
  84. LTLIBOBJS = @LTLIBOBJS@
  85. MAKEINFO = @MAKEINFO@
  86. MKDIR_P = @MKDIR_P@
  87. OBJEXT = @OBJEXT@
  88. PACKAGE = @PACKAGE@
  89. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  90. PACKAGE_NAME = @PACKAGE_NAME@
  91. PACKAGE_STRING = @PACKAGE_STRING@
  92. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  93. PACKAGE_VERSION = @PACKAGE_VERSION@
  94. PATH_SEPARATOR = @PATH_SEPARATOR@
  95. RANLIB = @RANLIB@
  96. SET_MAKE = @SET_MAKE@
  97. SHELL = @SHELL@
  98. STRIP = @STRIP@
  99. U = @U@
  100. VERSION = @VERSION@
  101. abs_builddir = @abs_builddir@
  102. abs_srcdir = @abs_srcdir@
  103. abs_top_builddir = @abs_top_builddir@
  104. abs_top_srcdir = @abs_top_srcdir@
  105. ac_ct_CC = @ac_ct_CC@
  106. am__include = @am__include@
  107. am__leading_dot = @am__leading_dot@
  108. am__quote = @am__quote@
  109. am__tar = @am__tar@
  110. am__untar = @am__untar@
  111. bindir = @bindir@
  112. build = @build@
  113. build_alias = @build_alias@
  114. build_cpu = @build_cpu@
  115. build_os = @build_os@
  116. build_vendor = @build_vendor@
  117. builddir = @builddir@
  118. datadir = @datadir@
  119. datarootdir = @datarootdir@
  120. docdir = @docdir@
  121. dvidir = @dvidir@
  122. exec_prefix = @exec_prefix@
  123. host = @host@
  124. host_alias = @host_alias@
  125. host_cpu = @host_cpu@
  126. host_os = @host_os@
  127. host_vendor = @host_vendor@
  128. htmldir = @htmldir@
  129. includedir = @includedir@
  130. infodir = @infodir@
  131. install_sh = @install_sh@
  132. libdir = @libdir@
  133. libexecdir = @libexecdir@
  134. localedir = @localedir@
  135. localstatedir = @localstatedir@
  136. mandir = @mandir@
  137. mkdir_p = @mkdir_p@
  138. oldincludedir = @oldincludedir@
  139. pdfdir = @pdfdir@
  140. prefix = @prefix@
  141. program_transform_name = @program_transform_name@
  142. psdir = @psdir@
  143. sbindir = @sbindir@
  144. sharedstatedir = @sharedstatedir@
  145. srcdir = @srcdir@
  146. sysconfdir = @sysconfdir@
  147. target = @target@
  148. target_alias = @target_alias@
  149. target_cpu = @target_cpu@
  150. target_os = @target_os@
  151. target_vendor = @target_vendor@
  152. top_builddir = @top_builddir@
  153. top_srcdir = @top_srcdir@
  154. AUTOMAKE_OPTIONS = ../portab/ansi2knr
  155. INCLUDES = -I$(srcdir)/../portab
  156. EXTRA_DIST = \
  157. README functions.inc getpid.sh \
  158. start-server.sh stop-server.sh tests.sh stress-server.sh \
  159. test-loop.sh wait-tests.sh \
  160. channel-test.e connect-test.e check-idle.e invite-test.e \
  161. join-test.e kick-test.e message-test.e misc-test.e mode-test.e \
  162. opless-channel-test.e server-link-test.e who-test.e \
  163. stress-A.e stress-B.e \
  164. start-server1 stop-server1 ngircd-test1.conf \
  165. start-server2 stop-server2 ngircd-test2.conf
  166. check_SCRIPTS = ngircd-TEST-Binary tests.sh
  167. TESTS = start-server1 \
  168. connect-test \
  169. start-server2 \
  170. channel-test \
  171. invite-test \
  172. join-test \
  173. kick-test \
  174. message-test \
  175. misc-test \
  176. mode-test \
  177. opless-channel-test \
  178. who-test \
  179. server-link-test \
  180. stop-server2 \
  181. stress-server.sh \
  182. stop-server1
  183. all: all-am
  184. .SUFFIXES:
  185. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  186. @for dep in $?; do \
  187. case '$(am__configure_deps)' in \
  188. *$$dep*) \
  189. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  190. && exit 0; \
  191. exit 1;; \
  192. esac; \
  193. done; \
  194. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testsuite/Makefile'; \
  195. cd $(top_srcdir) && \
  196. $(AUTOMAKE) --gnu src/testsuite/Makefile
  197. .PRECIOUS: Makefile
  198. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  199. @case '$?' in \
  200. *config.status*) \
  201. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  202. *) \
  203. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  204. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  205. esac;
  206. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  207. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  208. $(top_srcdir)/configure: $(am__configure_deps)
  209. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  210. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  211. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  212. tags: TAGS
  213. TAGS:
  214. ctags: CTAGS
  215. CTAGS:
  216. check-TESTS: $(TESTS)
  217. @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[ ]'; \
  218. srcdir=$(srcdir); export srcdir; \
  219. list=' $(TESTS) '; \
  220. if test -n "$$list"; then \
  221. for tst in $$list; do \
  222. if test -f ./$$tst; then dir=./; \
  223. elif test -f $$tst; then dir=; \
  224. else dir="$(srcdir)/"; fi; \
  225. if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
  226. all=`expr $$all + 1`; \
  227. case " $(XFAIL_TESTS) " in \
  228. *$$ws$$tst$$ws*) \
  229. xpass=`expr $$xpass + 1`; \
  230. failed=`expr $$failed + 1`; \
  231. echo "XPASS: $$tst"; \
  232. ;; \
  233. *) \
  234. echo "PASS: $$tst"; \
  235. ;; \
  236. esac; \
  237. elif test $$? -ne 77; then \
  238. all=`expr $$all + 1`; \
  239. case " $(XFAIL_TESTS) " in \
  240. *$$ws$$tst$$ws*) \
  241. xfail=`expr $$xfail + 1`; \
  242. echo "XFAIL: $$tst"; \
  243. ;; \
  244. *) \
  245. failed=`expr $$failed + 1`; \
  246. echo "FAIL: $$tst"; \
  247. ;; \
  248. esac; \
  249. else \
  250. skip=`expr $$skip + 1`; \
  251. echo "SKIP: $$tst"; \
  252. fi; \
  253. done; \
  254. if test "$$failed" -eq 0; then \
  255. if test "$$xfail" -eq 0; then \
  256. banner="All $$all tests passed"; \
  257. else \
  258. banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
  259. fi; \
  260. else \
  261. if test "$$xpass" -eq 0; then \
  262. banner="$$failed of $$all tests failed"; \
  263. else \
  264. banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
  265. fi; \
  266. fi; \
  267. dashes="$$banner"; \
  268. skipped=""; \
  269. if test "$$skip" -ne 0; then \
  270. skipped="($$skip tests were not run)"; \
  271. test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  272. dashes="$$skipped"; \
  273. fi; \
  274. report=""; \
  275. if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  276. report="Please report to $(PACKAGE_BUGREPORT)"; \
  277. test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  278. dashes="$$report"; \
  279. fi; \
  280. dashes=`echo "$$dashes" | sed s/./=/g`; \
  281. echo "$$dashes"; \
  282. echo "$$banner"; \
  283. test -z "$$skipped" || echo "$$skipped"; \
  284. test -z "$$report" || echo "$$report"; \
  285. echo "$$dashes"; \
  286. test "$$failed" -eq 0; \
  287. else :; fi
  288. distdir: $(DISTFILES)
  289. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  290. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  291. list='$(DISTFILES)'; \
  292. dist_files=`for file in $$list; do echo $$file; done | \
  293. sed -e "s|^$$srcdirstrip/||;t" \
  294. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  295. case $$dist_files in \
  296. */*) $(MKDIR_P) `echo "$$dist_files" | \
  297. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  298. sort -u` ;; \
  299. esac; \
  300. for file in $$dist_files; do \
  301. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  302. if test -d $$d/$$file; then \
  303. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  304. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  305. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  306. fi; \
  307. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  308. else \
  309. test -f $(distdir)/$$file \
  310. || cp -p $$d/$$file $(distdir)/$$file \
  311. || exit 1; \
  312. fi; \
  313. done
  314. check-am: all-am
  315. $(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
  316. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  317. check: check-am
  318. all-am: Makefile
  319. installdirs:
  320. install: install-am
  321. install-exec: install-exec-am
  322. install-data: install-data-am
  323. uninstall: uninstall-am
  324. install-am: all-am
  325. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  326. installcheck: installcheck-am
  327. install-strip:
  328. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  329. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  330. `test -z '$(STRIP)' || \
  331. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  332. mostlyclean-generic:
  333. clean-generic:
  334. distclean-generic:
  335. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  336. maintainer-clean-generic:
  337. @echo "This command is intended for maintainers to use"
  338. @echo "it deletes files that may require special tools to rebuild."
  339. clean: clean-am
  340. clean-am: clean-generic clean-local mostlyclean-am
  341. distclean: distclean-am
  342. -rm -f Makefile
  343. distclean-am: clean-am distclean-generic
  344. dvi: dvi-am
  345. dvi-am:
  346. html: html-am
  347. info: info-am
  348. info-am:
  349. install-data-am:
  350. install-dvi: install-dvi-am
  351. install-exec-am:
  352. install-html: install-html-am
  353. install-info: install-info-am
  354. install-man:
  355. install-pdf: install-pdf-am
  356. install-ps: install-ps-am
  357. installcheck-am:
  358. maintainer-clean: maintainer-clean-am
  359. -rm -f Makefile
  360. maintainer-clean-am: distclean-am maintainer-clean-generic \
  361. maintainer-clean-local
  362. mostlyclean: mostlyclean-am
  363. mostlyclean-am: mostlyclean-generic
  364. pdf: pdf-am
  365. pdf-am:
  366. ps: ps-am
  367. ps-am:
  368. uninstall-am:
  369. .MAKE: install-am install-strip
  370. .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  371. clean-local distclean distclean-generic distdir dvi dvi-am \
  372. html html-am info info-am install install-am install-data \
  373. install-data-am install-dvi install-dvi-am install-exec \
  374. install-exec-am install-html install-html-am install-info \
  375. install-info-am install-man install-pdf install-pdf-am \
  376. install-ps install-ps-am install-strip installcheck \
  377. installcheck-am installdirs maintainer-clean \
  378. maintainer-clean-generic maintainer-clean-local mostlyclean \
  379. mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am
  380. all:
  381. clean-local:
  382. rm -rf logs tests *-test ngircd-test*.log procs.tmp \
  383. T-ngircd1 ngircd-test1.motd T-ngircd2 ngircd-test2.motd
  384. maintainer-clean-local:
  385. rm -f Makefile Makefile.in
  386. ngircd-TEST-Binary:
  387. cp ../ngircd/ngircd T-ngircd1
  388. cp ../ngircd/ngircd T-ngircd2
  389. [ -f getpid.sh ] || ln -s $(srcdir)/getpid.sh .
  390. connect-test: tests.sh
  391. rm -f connect-test
  392. ln -s $(srcdir)/tests.sh connect-test
  393. channel-test: tests.sh
  394. rm -f channel-test
  395. ln -s $(srcdir)/tests.sh channel-test
  396. invite-test: tests.sh
  397. rm -f invite-test
  398. ln -s $(srcdir)/tests.sh invite-test
  399. join-test: tests.sh
  400. rm -f join-test
  401. ln -s $(srcdir)/tests.sh join-test
  402. kick-test: tests.sh
  403. rm -f kick-test
  404. ln -s $(srcdir)/tests.sh kick-test
  405. message-test: tests.sh
  406. rm -f message-test
  407. ln -s $(srcdir)/tests.sh message-test
  408. misc-test: tests.sh
  409. rm -f misc-test
  410. ln -s $(srcdir)/tests.sh misc-test
  411. mode-test: tests.sh
  412. rm -f mode-test
  413. ln -s $(srcdir)/tests.sh mode-test
  414. opless-channel-test: tests.sh
  415. rm -f opless-channel-test
  416. ln -s $(srcdir)/tests.sh opless-channel-test
  417. server-link-test: tests.sh
  418. rm -f server-link-test
  419. ln -s $(srcdir)/tests.sh server-link-test
  420. who-test: tests.sh
  421. rm -f who-test
  422. ln -s $(srcdir)/tests.sh who-test
  423. # -eof-
  424. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  425. # Otherwise a system limit (for SysV at least) may be exceeded.
  426. .NOEXPORT: